package org.matrix.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 执行历史中的执行状态
 * @author huangxiahao
 */

@Getter
@AllArgsConstructor
public enum ExecutionHistoryStatus {

    /**
     * SQL类型动作,该动作执行SQL语句
     */
    READY(0, "准备阶段"),
    /**
     * HTTP类型动作,该动作执行HTTP接口
     */
    RUN(1, "执行阶段"),
    /**
     * 用例类型动作,该动作执行另外的测试用例
     */
    FINISH(2, "完成阶段");

    /**
     * 数据库里记录的字段使用该字段来记录
     */
    @EnumValue
    private final int code;

    private final String des;
}
